Update Account API

This API partially updates an existing E-Wallet account. Omitted fields remain unchanged. email, name, and phoneNo are optional profile fields and are updated when provided without KYC validation dependency. The merchant may update KYC document references, set the account to INACTIVE the account, update wallet balance, or combine supported changes in one request. ADDITION adds the submitted balance value to the current balance, SUBTRACTION subtracts the submitted balance value from the current balance, and PATCH replaces the current balance with the submitted value.

Ayoconnect E-Wallet Management extension. Service Code: 80

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

partnerReferenceNo, customerId, and merchantId are mandatory. All other fields are conditional update fields. At least one conditional update field must be provided. Omitted fields remain unchanged.

string
required
length between 32 and 32
^[A-Za-z0-9]{32}$

Unique 32-character transaction identifier generated by the partner.

string
required
length between 1 and 45
^[A-Za-z0-9_-]+$

Customer account identifier defined by the merchant. Must be unique within the merchant and is used as the E-Wallet account identifier.

string
length ≤ 254

Conditional. Provide only when the customer email needs to be updated. No KYC validation dependency is applied.

string
length between 1 and 128

Conditional. Provide only when the customer name needs to be updated. No KYC validation dependency is applied.

string
length between 1 and 32

Conditional. Provide only when the customer phone number needs to be updated. No KYC validation dependency or duplicate-phone validation is applied.

string
required
length between 6 and 6

6-character merchant identifier unique to each merchant.

additionalInfo
object

Conditional. Provide only when one or more additional account fields need to be updated.

Headers
string
required
length between 24 and 27

Client's current local time in yyyy-MM-ddTHH:mm:ssTZD ISO-8601 format.

string
required

Represents the signature of a request. Symmetric signature: HMAC_SHA512(clientSecret, stringToSign). stringToSign = HTTPMethod + ":" + URLPath + ":" + AccessToken + ":" + Lowercase(HexEncode(SHA-256(minify(RequestBody)))) + ":" + X-TIMESTAMP

string
required
length between 6 and 6

6-character merchant identifier unique to each merchant.

string
required
length between 32 and 32
^[A-Za-z0-9]{32}$

Alphanumeric unique identifier generated by the merchant for each API request attempt.

string
required
length between 5 and 5
^[0-9]{5}$

Numeric PJP channel identifier. Must remain consistent within the same flow.

Responses

Language
Credentials
Bearer
OAuth2 Access Token
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json